- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_bulk_operation_t

# mongoc_bulk_operation_insert()

## Synopsis

    void
    mongoc_bulk_operation_insert (mongoc_bulk_operation_t *bulk,
                                  const bson_t *document);

Queue an insert of a single document into a bulk operation. The insert is not performed until mongoc_bulk_operation_execute() is called.

This function is superseded by mongoc_bulk_operation_insert_with_opts().

## Parameters

- `bulk`: A mongoc_bulk_operation_t.
- `document`: A `bson_t`.

## See Also

Bulk Write Operations

## Errors

Errors are propagated via mongoc_bulk_operation_execute().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.